
Database - Bug #7352

Mismatching results when comparing case-insensitive/case-sensitive values between 4GL and FWD

05/15/2023 09:32 AM - Dănuț Filimon

Status: WIP Start date:  

Priority: Normal Due date:  

Assignee: Eduard Soltan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

Related issues:

Related to Database - Bug #7108: Simulate upper/rtrim directly in H2 using ca... Closed

History

#1 - 05/15/2023 09:47 AM - Dănuț Filimon

There were several different results when comparing case-insensitive and case-sensitive values from where clauses, for more details, please refer to 

#7108-8. If I remember correctly, some of the mentioned cases were solved after the RTRIM database option was added. There is also a problem

when using FastFindCache where a cached value influences the results of the next statement that needs to be executed.

I created a test-suite for #7108-8 which can be found in testcases/rev.2374.

#2 - 05/15/2023 09:47 AM - Dănuț Filimon

- Related to Bug #7108: Simulate upper/rtrim directly in H2 using case specific columns added

#3 - 06/26/2023 04:31 AM - Alexandru Lungu

- Assignee set to Eduard Soltan

#4 - 07/11/2023 02:50 AM - Eduard Soltan

- Status changed from New to WIP

Powered by TCPDF (www.tcpdf.org)

05/16/2024 1/1

https://proj.goldencode.com/issues/7108#note-8
https://proj.goldencode.com/issues/7108#note-8
http://www.tcpdf.org

